Loading...
Searching...
No Matches
openshot::FileExceptionBase Class Reference

`#include <Exceptions.h>`

Inheritance diagram for openshot::FileExceptionBase:

## Public Member Functions

| FileExceptionBase (std::string message, std::string file_path="")
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

std::string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Definition at line 61 of file Exceptions.h.

## Constructor & Destructor Documentation

## FileExceptionBase()

openshot::FileExceptionBase::FileExceptionBase | ( | std::string | message,
|  | std::string | file_path = "" )

inline

Definition at line 65 of file Exceptions.h.

Referenced by openshot::InvalidChannels::InvalidChannels(), openshot::InvalidCodec::InvalidCodec(), openshot::InvalidFile::InvalidFile(), openshot::InvalidFormat::InvalidFormat(), openshot::InvalidJSON::InvalidJSON(), openshot::InvalidOptions::InvalidOptions(), openshot::InvalidSampleRate::InvalidSampleRate(), openshot::NoStreamsFound::NoStreamsFound(), openshot::OutOfMemory::OutOfMemory(), openshot::ReaderClosed::ReaderClosed(), openshot::ResampleError::ResampleError(), openshot::TooManySeeks::TooManySeeks(), and openshot::WriterClosed::WriterClosed().

## Member Function Documentation

## py_message()

virtual std::string openshot::FileExceptionBase::py_message | ( |  | ) | const

inline override virtual

Reimplemented from openshot::ExceptionBase.

Definition at line 67 of file Exceptions.h.

## Member Data Documentation

## file_path

std::string openshot::FileExceptionBase::file_path

Definition at line 64 of file Exceptions.h.

Referenced by FileExceptionBase(), openshot::InvalidChannels::InvalidChannels(), openshot::InvalidCodec::InvalidCodec(), openshot::InvalidFile::InvalidFile(), openshot::InvalidFormat::InvalidFormat(), openshot::InvalidJSON::InvalidJSON(), openshot::InvalidOptions::InvalidOptions(), openshot::InvalidSampleRate::InvalidSampleRate(), openshot::NoStreamsFound::NoStreamsFound(), openshot::OutOfMemory::OutOfMemory(), py_message(), openshot::ReaderClosed::ReaderClosed(), openshot::ResampleError::ResampleError(), openshot::TooManySeeks::TooManySeeks(), and openshot::WriterClosed::WriterClosed().

The documentation for this class was generated from the following file:

- Exceptions.h